'Demo Program for For-Next loop 

'Sums the first 1,048,576 terms of the Riemann zeta function 
'zeta(2) = 1/1^2 + 1/2^2 + 1/3^2 + 1/4^2 + ... 
'zeta(3) = 1/1^3 + 1/2^3 + 1/3^3 + 1/4^3 + ... 
'zeta(4) = 1/1^4 + 1/2^4 + 1/3^4 + 1/4^4 + ... 



Public Class FrmRiemann

    Private Sub nudRiemann_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudRiemann.ValueChanged
        Dim i As Integer
        Dim RiemannZeta As Double = 0

        For i = 1 To 1048576
            RiemannZeta += 1 / (i ^ nudRiemann.Value)
        Next

        lblRiemann.Text = RiemannZeta

    End Sub

    Private Sub FrmRiemann_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Label1.Text = "The Riemann Zeta function is the sum  of the reciprocals of powers of the integers."
        Label1.Text &= vbCrLf & "For example zeta(2) = 1/1^2 + 1/2^2 + 1/3^2 + 1/4^2 + ... "
    End Sub
End Class
